{{/*
    External Auth Endpoint
*/}}
{{- define "app-utils.authEndpoint" -}}
http://platform-auth.{{ .Values.global.appsNamespace }}.svc.cluster.local:5000/auth/v2/authenticate
{{- end -}}

{{/*
    External Legacy API Auth Endpoint
*/}}
{{- define "app-utils.legacyAPIAuthEndpoint" -}}
http://platform-auth.{{ .Values.global.appsNamespace }}.svc.cluster.local:5000/auth/v2/internal/connectors/map-secret
{{- end -}}

{{/*
    Internal Auth Endpoint
*/}}
{{- define "app-utils.authInternalEndpoint" -}}
http://platform-auth.{{ .Values.global.appsNamespace }}.svc.cluster.local:5000/auth/internal/sessions/current
{{- end -}}
